package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chelvc.cloud.vehicle.api.dto.RankAwardRecordDTO;
import com.chelvc.cloud.vehicle.server.entity.RankAwardConfig;
import com.chelvc.cloud.vehicle.server.entity.RankAwardRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface RankAwardRecordMapper extends BaseMapper<RankAwardRecord> {

    IPage<RankAwardRecordDTO> queryPageList(@Param("page") Page<RankAwardRecordDTO> page,
                                            @Param(Constants.WRAPPER) QueryWrapper<RankAwardConfig> wrapper);
}
